> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an include or exclude property list (domains and/or typed identifiers)



## OpenAPI

````yaml /openapi/buyer.yaml post /api/v2/buyer/advertisers/{id}/property-lists
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Update Proposals
  - name: Optimization Suggestions
  - name: Creatives
  - name: Catalogs
  - name: Property Lists
  - name: Audiences
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
  - name: Activity
paths:
  /api/v2/buyer/advertisers/{id}/property-lists:
    post:
      tags:
        - Property Lists
      summary: >-
        Create an include or exclude property list (domains and/or typed
        identifiers)
      operationId: postBuyerAdvertisersByIdPropertyLists
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
        - name: Idempotency-Key
          in: header
          required: false
          schema:
            type: string
            minLength: 16
            maxLength: 255
            pattern: ^[A-Za-z0-9_.:-]+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                purpose:
                  type: string
                  enum:
                    - include
                    - exclude
                domains:
                  maxItems: 100000
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 1024
                identifiers:
                  maxItems: 100000
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - domain
                          - subdomain
                          - ios_bundle
                          - android_package
                          - apple_app_store_id
                          - google_play_id
                          - roku_store_id
                          - fire_tv_asin
                          - samsung_app_id
                          - apple_tv_bundle
                          - bundle_id
                      value:
                        type: string
                        minLength: 1
                        maxLength: 1024
                    required:
                      - type
                      - value
                filters:
                  type: object
                  properties:
                    channels_any:
                      maxItems: 50
                      type: array
                      items:
                        type: string
                        minLength: 1
                        maxLength: 64
              required:
                - name
                - purpose
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          propertyList:
                            type: object
                            properties:
                              listId:
                                type: string
                              name:
                                type: string
                              purpose:
                                type: string
                                enum:
                                  - include
                                  - exclude
                              propertyCount:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              createdAt:
                                type: string
                              updatedAt:
                                type: string
                              identifiers:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - domain
                                        - subdomain
                                        - ios_bundle
                                        - android_package
                                        - apple_app_store_id
                                        - google_play_id
                                        - roku_store_id
                                        - fire_tv_asin
                                        - samsung_app_id
                                        - apple_tv_bundle
                                        - bundle_id
                                    value:
                                      type: string
                                      minLength: 1
                                      maxLength: 1024
                                  required:
                                    - type
                                    - value
                                  additionalProperties: false
                              unresolvedIdentifiers:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - domain
                                        - subdomain
                                        - ios_bundle
                                        - android_package
                                        - apple_app_store_id
                                        - google_play_id
                                        - roku_store_id
                                        - fire_tv_asin
                                        - samsung_app_id
                                        - apple_tv_bundle
                                        - bundle_id
                                    value:
                                      type: string
                                      minLength: 1
                                      maxLength: 1024
                                  required:
                                    - type
                                    - value
                                  additionalProperties: false
                              registeredIdentifiers:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - domain
                                        - subdomain
                                        - ios_bundle
                                        - android_package
                                        - apple_app_store_id
                                        - google_play_id
                                        - roku_store_id
                                        - fire_tv_asin
                                        - samsung_app_id
                                        - apple_tv_bundle
                                        - bundle_id
                                    value:
                                      type: string
                                      minLength: 1
                                      maxLength: 1024
                                  required:
                                    - type
                                    - value
                                  additionalProperties: false
                              domains:
                                type: array
                                items:
                                  type: string
                              unresolvedDomains:
                                type: array
                                items:
                                  type: string
                              registeredDomains:
                                type: array
                                items:
                                  type: string
                              filters:
                                type: object
                                properties:
                                  channels_any:
                                    maxItems: 50
                                    type: array
                                    items:
                                      type: string
                                      minLength: 1
                                      maxLength: 64
                                additionalProperties: false
                              resolutionSummary:
                                type: object
                                properties:
                                  totalRequested:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  resolvedCount:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  registeredCount:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  unresolvedCount:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  resolutionRate:
                                    type: number
                                required:
                                  - totalRequested
                                  - resolvedCount
                                  - registeredCount
                                  - unresolvedCount
                                  - resolutionRate
                                additionalProperties: false
                              cascadeSummary:
                                type: object
                                properties:
                                  totalMediaBuys:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  updatedCount:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  failedCount:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  skippedCount:
                                    type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                required:
                                  - totalMediaBuys
                                  - updatedCount
                                  - failedCount
                                additionalProperties: false
                              status:
                                type: string
                                enum:
                                  - processing
                                  - ready
                                  - failed
                            required:
                              - listId
                              - name
                              - purpose
                              - propertyCount
                              - createdAt
                              - updatedAt
                              - identifiers
                              - unresolvedIdentifiers
                              - registeredIdentifiers
                              - domains
                              - unresolvedDomains
                              - registeredDomains
                            additionalProperties: false
                        required:
                          - propertyList
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````